#!/bin/bash
# Lista de URLs a serem verificadas
declare -a urls
urls=("usb-gw-01.adventistas.org" "usb-asr-gw-01.adventistas.org" "usb-asp-gw-01.adventistas.org" "usb-aop-gw-01.adventistas.org" "usb-ansr-gw-01.adventistas.org" "usb-ac-gw-01.adventistas.org" "usb-acp-gw-01.adventistas.org" "usb-acsr-gw-01.adventistas.org" "usb-anc-gw-01.adventistas.org" "usb-anp-gw-01.adventistas.org")
for url in "${urls[@]}"; do
    echo "Verificando certificado SSL para: $url"
    start_date=$(echo | openssl s_client -servername $url -connect $url:443 2>/dev/null | openssl x509 -noout -dates | grep "notBefore" | cut -d= -f2)
    expiration_date=$(echo | openssl s_client -servername $url -connect $url:443 2>/dev/null | openssl x509 -noout -dates | grep "notAfter" | cut -d= -f2)
    
    # Verifica se a data de expiração está presente
    if [[ -n "$expiration_date" ]]; then
        echo "Data Inicio: $start_date"
        echo "Data Fim: $expiration_date"
    else
        echo "Não foi possível obter a data de expiração do certificado para $url"
    fi
    
    echo "-----------------------------"
done
